<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

    <head>
    <title>IBEditors documentation</title>
  </head>
  <body>
    <font face="serif">
    <h1><a name="title$IBEditors">IBEditors documentation</a></h1>
    <h3>Authors</h3>
    <dl>
      <dt>Generated by heron</dt>
      <dd>
      </dd>
    </dl>

        <div>
      <hr width="50%" align="left" />
      <h3>Contents -</h3>
      <ol>
        <li>
          <a href="#001000000000">Software documentation for the IBEditors protocol</a>
        </li>
        <li>
          <a href="#002000000000">Software documentation for the IBSelectionOwners
        protocol</a>
        </li>
      </ol>
      <hr width="50%" align="left" />
    </div>

          <h1><a name="001000000000">
        Software documentation for the IBEditors protocol
      </a></h1>
    <h2><a name="protocol$(IBEditors)">IBEditors</a></h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>InterfaceBuilder/IBEditors.h</dd>
      </dl>
    </blockquote>
    <blockquote>
      <dl>
        <dt><b>Conforms to:</b></dt>
        <dd>NSObject</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          The IBEditors protocol defines the methods an editor must
          implement.
        
    </div>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="IBEditors.html#method$(IBEditors)-acceptsTypeFromArray$">-acceptsTypeFromArray:</a></li>
      <li><a rel="gsdoc" href="IBEditors.html#method$(IBEditors)-activate">-activate</a></li>
      <li><a rel="gsdoc" href="IBEditors.html#method$(IBEditors)-close">-close</a></li>
      <li><a rel="gsdoc" href="IBEditors.html#method$(IBEditors)-closeSubeditors">-closeSubeditors</a></li>
      <li><a rel="gsdoc" href="IBEditors.html#method$(IBEditors)-deactivate">-deactivate</a></li>
      <li><a rel="gsdoc" href="IBEditors.html#method$(IBEditors)-deleteSelection">-deleteSelection</a></li>
      <li><a rel="gsdoc" href="IBEditors.html#method$(IBEditors)-document">-document</a></li>
      <li><a rel="gsdoc" href="IBEditors.html#method$(IBEditors)-editedObject">-editedObject</a></li>
      <li><a rel="gsdoc" href="IBEditors.html#method$(IBEditors)-initWithObject$inDocument$">-initWithObject:inDocument:</a></li>
      <li><a rel="gsdoc" href="IBEditors.html#method$(IBEditors)-openSubeditorForObject$">-openSubeditorForObject:</a></li>
      <li><a rel="gsdoc" href="IBEditors.html#method$(IBEditors)-orderFront">-orderFront</a></li>
      <li><a rel="gsdoc" href="IBEditors.html#method$(IBEditors)-pasteInSelection">-pasteInSelection</a></li>
      <li><a rel="gsdoc" href="IBEditors.html#method$(IBEditors)-resetObject$">-resetObject:</a></li>
      <li><a rel="gsdoc" href="IBEditors.html#method$(IBEditors)-validateEditing">-validateEditing</a></li>
      <li><a rel="gsdoc" href="IBEditors.html#method$(IBEditors)-wantsSelection">-wantsSelection</a></li>
      <li><a rel="gsdoc" href="IBEditors.html#method$(IBEditors)-window">-window</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$(IBEditors)-acceptsTypeFromArray$">acceptsTypeFromArray:&nbsp;</a></h3>
    - (BOOL) <b>acceptsTypeFromArray:</b> (NSArray*)types;<br />
    <div class="desc">
      
            Decide whether an editor can accept data from the
            pasteboard.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBEditors)-activate">activate&nbsp;</a></h3>
    - (BOOL) <b>activate</b>;<br />
    <div class="desc">
      
            Activate an editor - inserts it into the view
            hierarchy or whatever is needed for the editor to
            be able to provide its functionality. This method should
            be called by the document when an editor is created or
            opened. It should be safe to call repeatedly.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBEditors)-close">close&nbsp;</a></h3>
    - (void) <b>close</b>;<br />
    <div class="desc">
      
            Close an editor - this destroys the editor. In this
            method the editor should tell its document that it
            has been closed, so that the document can remove all
            its references to the editor.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBEditors)-closeSubeditors">closeSubeditors&nbsp;</a></h3>
    - (void) <b>closeSubeditors</b>;<br />
    <div class="desc">
      
            Close all subeditors associated with this editor.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBEditors)-deactivate">deactivate&nbsp;</a></h3>
    - (void) <b>deactivate</b>;<br />
    <div class="desc">
      
            Deactivate an editor - removes it from the view
            hierarchy so that objects can be archived without
            including the editor. This method should be
            called automatically by the &apos;close&apos; method. It
            should be safe to call repeatedly.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBEditors)-deleteSelection">deleteSelection&nbsp;</a></h3>
    - (void) <b>deleteSelection</b>;<br />
    <div class="desc">
      
            This method deletes all the objects in the current
            selection in the editor.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBEditors)-document">document&nbsp;</a></h3>
    - (id/*<<a rel="gsdoc" href="IBDocuments.html#protocol$(IBDocuments)">IBDocuments</a>>*/) <b>document</b>;<br />
    <div class="desc">
      
            This method returns the document that owns the object
            that the editor edits.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBEditors)-editedObject">editedObject&nbsp;</a></h3>
    - (id) <b>editedObject</b>;<br />
    <div class="desc">
      
            This method returns the object that the editor is
            editing.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBEditors)-initWithObject$inDocument$">initWithObject:&nbsp;inDocument:&nbsp;</a></h3>
    - (id) <b>initWithObject:</b> (id)anObject<b> inDocument:</b> (id/*<<a rel="gsdoc" href="IBDocuments.html#protocol$(IBDocuments)">IBDocuments</a>>*/)aDocument;<br />
    <div class="desc">
      
            Initializes the editor with object for the
            specified document.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBEditors)-openSubeditorForObject$">openSubeditorForObject:&nbsp;</a></h3>
    - (id<<a rel="gsdoc" href="#protocol$(IBEditors)">IBEditors</a>>) <b>openSubeditorForObject:</b> (id)object;<br />
    <div class="desc">
      
            Opens the subeditor for an <var>object</var> when the
            <var>object</var> being edited is
            <strong>double</strong> clicked by the user. If
            there is no sub-editor, return <code>nil</code>,
            otherwise method will return the editor for the
            <var>object</var>.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBEditors)-orderFront">orderFront&nbsp;</a></h3>
    - (void) <b>orderFront</b>;<br />
    <div class="desc">
      
            This method is used to ensure that the editor is
            visible on screen.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBEditors)-pasteInSelection">pasteInSelection&nbsp;</a></h3>
    - (void) <b>pasteInSelection</b>;<br />
    <div class="desc">
      
            This method is used to add the contents of the
            pasteboard to the current selection of objects
            within the editor.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBEditors)-resetObject$">resetObject:&nbsp;</a></h3>
    - (void) <b>resetObject:</b> (id)anObject;<br />
    <div class="desc">
      
            Redraws the edited object
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBEditors)-validateEditing">validateEditing&nbsp;</a></h3>
    - (void) <b>validateEditing</b>;<br />
    <div class="desc">
      
            Causes the editor to select the text being edited in
            the current text field.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBEditors)-wantsSelection">wantsSelection&nbsp;</a></h3>
    - (BOOL) <b>wantsSelection</b>;<br />
    <div class="desc">
      
            When an editor resigns the selection ownership, all
            editors are asked if they want selection ownership,
            and the first one to return <code>YES</code> gets made
            into the current selection owner.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBEditors)-window">window&nbsp;</a></h3>
    - (NSWindow*) <b>window</b>;<br />
    <div class="desc">
      
            This returns the window in which the editor is drawn.
          
    </div>
    <hr width="25%" align="left" />
</div>

          <h1><a name="002000000000">
        Software documentation for the IBSelectionOwners
        protocol
      </a></h1>
    <h2><a name="protocol$(IBSelectionOwners)">IBSelectionOwners</a></h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>InterfaceBuilder/IBEditors.h</dd>
      </dl>
    </blockquote>
    <blockquote>
      <dl>
        <dt><b>Conforms to:</b></dt>
        <dd>NSObject</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          The IBSelectionOwners protocol defines the methods that a
          selection owner must implement.
        
    </div>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="IBEditors.html#method$(IBSelectionOwners)-copySelection">-copySelection</a></li>
      <li><a rel="gsdoc" href="IBEditors.html#method$(IBSelectionOwners)-drawSelection">-drawSelection</a></li>
      <li><a rel="gsdoc" href="IBEditors.html#method$(IBSelectionOwners)-makeSelectionVisible$">-makeSelectionVisible:</a></li>
      <li><a rel="gsdoc" href="IBEditors.html#method$(IBSelectionOwners)-selectObjects$">-selectObjects:</a></li>
      <li><a rel="gsdoc" href="IBEditors.html#method$(IBSelectionOwners)-selection">-selection</a></li>
      <li><a rel="gsdoc" href="IBEditors.html#method$(IBSelectionOwners)-selectionCount">-selectionCount</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$(IBSelectionOwners)-copySelection">copySelection&nbsp;</a></h3>
    - (void) <b>copySelection</b>;<br />
    <div class="desc">
      
            This method places the current selection from the
            editor on the pasteboard.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBSelectionOwners)-drawSelection">drawSelection&nbsp;</a></h3>
    - (void) <b>drawSelection</b>;<br />
    <div class="desc">
      
            Draw the selection.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBSelectionOwners)-makeSelectionVisible$">makeSelectionVisible:&nbsp;</a></h3>
    - (void) <b>makeSelectionVisible:</b> (BOOL)flag;<br />
    <div class="desc">
      
            This method is used to draw or remove markup that
            identifies selected objects within the object
            being edited.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBSelectionOwners)-selectObjects$">selectObjects:&nbsp;</a></h3>
    - (void) <b>selectObjects:</b> (NSArray*)objects;<br />
    <div class="desc">
      
            This method changes the current selection to those
            <var>objects</var> in the array.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBSelectionOwners)-selection">selection&nbsp;</a></h3>
    - (NSArray*) <b>selection</b>;<br />
    <div class="desc">
      
            Return the selection in an array.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBSelectionOwners)-selectionCount">selectionCount&nbsp;</a></h3>
    - (NSUInteger) <b>selectionCount</b>;<br />
    <div class="desc">
      
            The number of currently selected objects.
          
    </div>
    <hr width="25%" align="left" />
</div>
    <br />
    </font>
</body>
</html>
